# WOK
TKWOK
WOKBuilder

# WOKBuilder_MSEntity Class Reference

`#include <WOKBuilder_MSEntity.hxx>`

Inheritance diagram for WOKBuilder_MSEntity:

[legend]

## Public Member Functions

Standard_EXPORT | WOKBuilder_MSEntity (const Handle(WOKBuilder_Specification)&aspecfile, const Handle(TCollection_HAsciiString)&aname)
Standard_EXPORT | WOKBuilder_MSEntity (const Handle(TCollection_HAsciiString)&aname)
const Handle_TCollection_HAsciiString & | Name () const
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aname)
const Handle_WOKBuilder_Specification & | File () const
Standard_EXPORT void | SetFile (const Handle(WOKBuilder_Specification)&aspecfile)
Standard_EXPORT Standard_Boolean | IsType (const Handle(MS_MetaSchema)&ams) const
Standard_EXPORT Standard_Boolean | IsEntity (const Handle(MS_MetaSchema)&ams) const
Standard_EXPORT const Handle_MS_Type & | GetType (const Handle(MS_MetaSchema)&ams) const
Standard_EXPORT const Handle_MS_GlobalEntity & | GetGlobalEntity (const Handle(MS_MetaSchema)&ams) const
Standard_EXPORT Standard_Boolean | IsComplete () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_WOKBuilder_Specification | myfile
Handle_TCollection_HAsciiString | myname

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_MSEntity::WOKBuilder_MSEntity | ( | const Handle(WOKBuilder_Specification)& | aspecfile,
|  | const Handle(TCollection_HAsciiString)& | aname
| ) |

Standard_EXPORT WOKBuilder_MSEntity::WOKBuilder_MSEntity | ( | const Handle(TCollection_HAsciiString)& | aname | ) |

## Member Function Documentation

const Handle_WOKBuilder_Specification& WOKBuilder_MSEntity::File | ( |  | ) | const

Standard_EXPORT const Handle_MS_GlobalEntity& WOKBuilder_MSEntity::GetGlobalEntity | ( | const Handle(MS_MetaSchema)& | ams | ) | const

Standard_EXPORT const Handle_MS_Type& WOKBuilder_MSEntity::GetType | ( | const Handle(MS_MetaSchema)& | ams | ) | const

Standard_EXPORT const WOKBuilder_MSEntity::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_Entity.

Standard_EXPORT Standard_Boolean WOKBuilder_MSEntity::IsComplete | ( |  | ) | const

Standard_EXPORT Standard_Boolean WOKBuilder_MSEntity::IsEntity | ( | const Handle(MS_MetaSchema)& | ams | ) | const

Standard_EXPORT Standard_Boolean WOKBuilder_MSEntity::IsType | ( | const Handle(MS_MetaSchema)& | ams | ) | const

const Handle_TCollection_HAsciiString& WOKBuilder_MSEntity::Name | ( |  | ) | const

Standard_EXPORT void WOKBuilder_MSEntity::SetFile | ( | const Handle(WOKBuilder_Specification)& | aspecfile | ) |

Standard_EXPORT void WOKBuilder_MSEntity::SetName | ( | const Handle(TCollection_HAsciiString)& | aname | ) |

## Field Documentation

Handle_WOKBuilder_Specification WOKBuilder_MSEntity::myfile `[private]`

Handle_TCollection_HAsciiString WOKBuilder_MSEntity::myname `[private]`

The documentation for this class was generated from the following file:

- WOKBuilder_MSEntity.hxx